# Generated by Django 3.1.6 on 2021-03-30 07:44

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('users', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='Project Title', max_length=500)),
                ('alias', models.CharField(help_text='Project alias', max_length=100)),
                ('description', models.TextField(help_text='Project description')),
                ('notepad', models.JSONField(blank=True, help_text='Project notepad', null=True)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_modification_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('access', models.CharField(choices=[('Public', 'Public'), ('Private', 'Private')], default='Private', help_text='Metadata access: public (all users of the omicsBroker instance) or private (only users associated with the project). Default: private', max_length=7)),
            ],
        ),
        migrations.CreateModel(
            name='tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(help_text='Tag label', max_length=50)),
                ('color', models.CharField(default='#e66465', help_text='Tag color', max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='work_on',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contact', models.BooleanField(default=False, help_text='Project contact')),
                ('permission', models.CharField(choices=[('All', 'Read, Edit, Manage'), ('Edit', 'Read, Edit'), ('Read', 'Read')], default='Read', help_text='Management permission : all (read, edit and delete), Edit (read and edit) and Read (read only). By default : Read', max_length=4)),
                ('applicationUser', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='users.applicationuser')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='project.project')),
            ],
        ),
        migrations.CreateModel(
            name='tag_project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='project.project')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='project.tag')),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='applicationUsers',
            field=models.ManyToManyField(through='project.work_on', to='users.applicationUser'),
        ),
        migrations.AddField(
            model_name='project',
            name='tags',
            field=models.ManyToManyField(through='project.tag_project', to='project.tag'),
        ),
    ]
